Pređi na sadržaj

Sadržaj

Cities usable as a hotel search destination, optionally filtered by term or country.

get/v1/content/cities

  • Zahteva autentifikaciju

Parametri

NazivLokacijaTipOpis
qupitstring
countryupitstring
pageupitinteger (int32)
pageSizeupitinteger (int32)

Odgovori

200OKCityItemPagedList

  • CityItem[]
    • codestring
    • namestringmože biti null
    • countryCodestringmože biti null
    • countryNamestringmože biti null
  • pageinteger (int32)
  • pageSizeinteger (int32)
  • totalinteger (int32)

Primeri koda

Kompletni programi koji potpisuju zahtev onako kako ga mrežni prolaz proverava. Zamenite YOUR_KEY_ID i YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/cities\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/content/cities" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"